RedCrawler API
Flairs V1

Create User Flair V1

Create or update a user flair template. Provide flair_template_id to update an existing template. Requires mod permissions.

POST /api/v1/communities/{name}/create-flair-template

Create or update a user flair template. Provide flair_template_id to update an existing template. Requires mod permissions.

Path parameters

NameTypeRequiredDescription
namestringYesSubreddit name.

Body parameters

NameTypeRequiredDescription
textstringYesFlair text (max 64 characters).
background_colorstringNoHex background color (e.g. #ff4500).
flair_template_idstringNoExisting template ID to update (omit to create new).
css_classstringNoCSS class for old Reddit styling.
bearerstringNoBearer token. Optional if stored in Token Vault.
text_editablestringNoAllow users to edit flair text. true or false (default: false).
proxystringNoProxy. Optional if stored in Token Vault.
allowable_contentstringNoAllowed content: all, emoji, or text.
text_colorstringNoText color: light or dark.
mod_onlystringNoOnly mods can assign this flair. true or false (default: false).
max_emojisstringNoMax emojis allowed (default: 10).

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/create-flair-template" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"text": "<text>", "background_color": "<background_color>", "flair_template_id": "<flair_template_id>", "css_class": "<css_class>", "bearer": "<bearer>", "text_editable": "false", "proxy": "<proxy>", "allowable_content": "all", "text_color": "dark", "mod_only": "false", "max_emojis": "10"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/create-flair-template", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "text": "<text>",
  "background_color": "<background_color>",
  "flair_template_id": "<flair_template_id>",
  "css_class": "<css_class>",
  "bearer": "<bearer>",
  "text_editable": "false",
  "proxy": "<proxy>",
  "allowable_content": "all",
  "text_color": "dark",
  "mod_only": "false",
  "max_emojis": "10"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/create-flair-template"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "text": "<text>",
  "background_color": "<background_color>",
  "flair_template_id": "<flair_template_id>",
  "css_class": "<css_class>",
  "bearer": "<bearer>",
  "text_editable": "false",
  "proxy": "<proxy>",
  "allowable_content": "all",
  "text_color": "dark",
  "mod_only": "false",
  "max_emojis": "10"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "text": "User flair",
    "allowableContent": "all",
    "modOnly": false,
    "cssClass": "",
    "id": "97b38fbc-43b4-11f1-9bf2-5a1fc0bd4d8e",
    "textEditable": false,
    "overrideCss": false,
    "richtext": [
      {
        "e": "text",
        "t": "User flair"
      }
    ],
    "maxEmojis": 5,
    "flairType": "USER_FLAIR",
    "backgroundColor": "",
    "textColor": "light",
    "type": "richtext"
  },
  "error": null,
  "timestamp": "2026-04-29T10:17:14.584621+00:00"
}

On this page